org.keycloak.models.sessions.mongo

## Class UserSessionAdapter

- java.lang.Object
- - org.keycloak.models.sessions.mongo.AbstractMongoAdapter<MongoUserSessionEntity>
  - - org.keycloak.models.sessions.mongo.UserSessionAdapter

- All Implemented Interfaces:
    UserSessionModel

      public class UserSessionAdapter
      extends AbstractMongoAdapter<MongoUserSessionEntity>
      implements UserSessionModel

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserSessionModel

      `UserSessionModel.State`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.sessions.mongo.AbstractMongoAdapter

      `invocationContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionAdapter(KeycloakSession keycloakSession, MongoUserSessionProvider provider, MongoUserSessionEntity entity, RealmModel realm, MongoStoreInvocationContext invContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAuthMethod()`
    `String` | `getBrokerSessionId()` If created via a broker external login, this is an identifier that can be used to match external broker backchannel logout requests to a UserSession
    `String` | `getBrokerUserId()`
    `List<ClientSessionModel>` | `getClientSessions()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `int` | `getLastSessionRefresh()`
    `String` | `getLoginUsername()`
    `protected MongoUserSessionEntity` | `getMongoEntity()`
    `String` | `getNote(String name)`
    `int` | `getStarted()`
    `UserSessionModel.State` | `getState()`
    `UserModel` | `getUser()`
    `int` | `hashCode()`
    `boolean` | `isRememberMe()`
    `void` | `removeNote(String name)`
    `void` | `setLastSessionRefresh(int seconds)`
    `void` | `setNote(String name, String value)`
    `void` | `setState(UserSessionModel.State state)`

    - ### Methods inherited from class org.keycloak.models.sessions.mongo.AbstractMongoAdapter

      `getMongoStore, updateMongoEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSessionAdapter

          public UserSessionAdapter(KeycloakSession keycloakSession,
                            MongoUserSessionProvider provider,
                            MongoUserSessionEntity entity,
                            RealmModel realm,
                            MongoStoreInvocationContext invContext)

  - ### Method Detail

    - #### getMongoEntity

          protected MongoUserSessionEntity getMongoEntity()

      Specified by:
        `getMongoEntity` in class `AbstractMongoAdapter<MongoUserSessionEntity>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `UserSessionModel`

    - #### getBrokerSessionId

          public String getBrokerSessionId()

      Description copied from interface: `UserSessionModel`
      If created via a broker external login, this is an identifier that can be used to match external broker backchannel logout requests to a UserSession
      Specified by:
        `getBrokerSessionId` in interface `UserSessionModel`
      Returns:

    - #### getBrokerUserId

          public String getBrokerUserId()

      Specified by:
        `getBrokerUserId` in interface `UserSessionModel`

    - #### getUser

          public UserModel getUser()

      Specified by:
        `getUser` in interface `UserSessionModel`

    - #### getLoginUsername

          public String getLoginUsername()

      Specified by:
        `getLoginUsername` in interface `UserSessionModel`

    - #### getIpAddress

          public String getIpAddress()

      Specified by:
        `getIpAddress` in interface `UserSessionModel`

    - #### getAuthMethod

          public String getAuthMethod()

      Specified by:
        `getAuthMethod` in interface `UserSessionModel`

    - #### isRememberMe

          public boolean isRememberMe()

      Specified by:
        `isRememberMe` in interface `UserSessionModel`

    - #### getStarted

          public int getStarted()

      Specified by:
        `getStarted` in interface `UserSessionModel`

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

      Specified by:
        `getLastSessionRefresh` in interface `UserSessionModel`

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int seconds)

      Specified by:
        `setLastSessionRefresh` in interface `UserSessionModel`

    - #### getState

          public UserSessionModel.State getState()

      Specified by:
        `getState` in interface `UserSessionModel`

    - #### setState

          public void setState(UserSessionModel.State state)

      Specified by:
        `setState` in interface `UserSessionModel`

    - #### getClientSessions

          public List<ClientSessionModel> getClientSessions()

      Specified by:
        `getClientSessions` in interface `UserSessionModel`

    - #### getNote

          public String getNote(String name)

      Specified by:
        `getNote` in interface `UserSessionModel`

    - #### setNote

          public void setNote(String name,
                     String value)

      Specified by:
        `setNote` in interface `UserSessionModel`

    - #### removeNote

          public void removeNote(String name)

      Specified by:
        `removeNote` in interface `UserSessionModel`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AbstractMongoAdapter<MongoUserSessionEntity>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractMongoAdapter<MongoUserSessionEntity>`

Copyright © 2015. All rights reserved.